Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary: 	Reads and writes data across network connections using TCP or UDP
Name: 		nc
Version: 	1.84
Release: 	1
BuildArch:	i686
URL:	 	http://www.openbsd.org/cgi-bin/cvsweb/src/usr.bin/nc/
# source is CVS checkout
Source0: 	nc-%{version}.tar.bz2
Patch0: 	nc-1.84-glib.patch
Patch1: 	nc-1.78-pollhup.patch
Patch2: 	nc-1.82-reuseaddr.patch
Patch3: 	nc-gcc_signess.patch
Patch4: 	nc-1.84-connect_with_timeout.patch
Patch5: 	nc-1.84-udp_stop.patch
Patch6: 	nc-1.84-udp_port_scan.patch
Patch7: 	nc-1.84-crlf.patch
Patch8: 	nc-1.84-verb.patch
Patch9: 	nc-1.84-man.patch
Patch10: 	nc-1.84-gcc4.3.patch
Patch11: 	nc-1.84-efficient_reads.patch
Patch12: 	nc-1.84-verbose-segfault.patch

License: 	BSD
Group: 		Internet
BuildRequires: 	glib-devel

%description
The nc package contains Netcat (the program is actually nc), a simple
utility for reading and writing data across network connections, using
the TCP or UDP protocols. Netcat is intended to be a reliable back-end
tool which can be used directly or easily driven by other programs and
scripts.  Netcat is also a feature-rich network debugging and
exploration tool, since it can create many different connections and
has many built-in capabilities.

You may want to install the netcat package if you are administering a
network and you'd like to use its debugging and network exploration
capabilities.

%prep
%setup -q -n nc
%patch0 -p1 -b .glib
%patch1 -p1 -b .pollhup
%patch2 -p1 -b .reuseaddr
%patch3 -p1 -b .gcc
%patch4 -p1 -b .timeout
%patch5 -p1 -b .udp_stop
%patch6 -p0 -b .port_scan
%patch7 -p1 -b .crlf
%patch8 -p1 -b .verb
%patch9 -p1 -b .man
%patch10 -p1 -b .gcc
%patch11 -p1 -b .reads
%patch12 -p1 -b .verb-segfault

%build
gcc $RPM_OPT_FLAGS -Werror -fno-strict-aliasing `pkg-config --cflags --libs glib-2.0` netcat.c atomicio.c socks.c -o nc

%install
rm -rf ${RPM_BUILD_ROOT}
install -d ${RPM_BUILD_ROOT}%{_bindir}
install -m 755 nc ${RPM_BUILD_ROOT}%{_bindir}
install -d ${RPM_BUILD_ROOT}%{_mandir}/man1
install -m 644 nc.1 ${RPM_BUILD_ROOT}%{_mandir}/man1

install -d ${RPM_BUILD_ROOT}%{_datadir}/nc/scripts
install -m 755 scripts/* ${RPM_BUILD_ROOT}%{_datadir}/nc/scripts/
chmod 644 ${RPM_BUILD_ROOT}%{_datadir}/nc/scripts/README

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%{_bindir}/nc
%{_mandir}/man1/nc.1*
%dir %{_datadir}/nc/scripts
%{_datadir}/nc/scripts/*
%doc README

%changelog
* Sat Jan 23 2010 Christian Metzen <metzench@ccux-linux.de> 1.84-1
- Initial CCux package release
